Main Page Data Structures File List Data Fields Globals Related Pages

# clib/HWAPI.C File Reference

`#include <dos.h>`
`#include "clib/hwapi.h"`

Go to the source code of this file.

## Functions
void | pfe_enable_bus (unsigned mask, unsigned char ale)
void | pfe_enable_adr (unsigned char adr)
void | pfe_enable_pcs (unsigned char pcs)
void | pfe_enable_int (unsigned char irq)
void | pfe_enable_timer (unsigned mode)
void | pfe_set_edge_level_intr_mode (unsigned char mode, unsigned mask)
void | pfe_enable_pwd (void)
int | pfe_enable_external_dma (unsigned char channel)
void | pfe_enable_int_cascade_mode (void)
void | pfe_enable_pio (unsigned pio, unsigned char mode)
void | pfe_get_pio_state (unsigned *wPio, unsigned *wInp, unsigned *wOut)
void | hal_get_pio_output_state (unsigned *pins, unsigned wOut)
unsigned char | hal_read_bus (unsigned adr, unsigned wAND, unsigned wXOR)
void | hal_write_bus (unsigned adr, unsigned char value, unsigned wAND, unsigned wXOR)
void | hal_readblock_bus (unsigned adr0, unsigned adr1, unsigned char *buf, unsigned cnt)
void | hal_writeblock_bus (unsigned adr0, unsigned adr1, unsigned char *buf, unsigned cnt)
unsigned | hal_read_pios (unsigned wAND, unsigned wXOR)
void | hal_write_pios (unsigned value, unsigned wAND, unsigned wXOR)
unsigned char | hal_read_pio (unsigned char pio)
void | hal_write_pio (unsigned char pio, unsigned value)
InterruptHandler | hal_install_isr (unsigned irq, unsigned count, InterruptHandler handler)
void | hal_init_timer (unsigned char timer, unsigned mode, unsigned divider)
void | hal_start_timer (unsigned char timer)
void | hal_stop_timer (unsigned char timer)
unsigned | hal_read_timer_count (unsigned char timer, unsigned far *maxcount)
void | hal_write_timer_count (unsigned char timer, unsigned counter)
unsigned char | hal_set_watchdog_mode (unsigned char mode)
void | hal_refresh_watchdog (void)
unsigned long | hal_get_frequencies (unsigned char frq)
void | hal_set_duty_cycle_waveform (unsigned char timer, int mode, unsigned clock_divider)
void | hal_give_eoi (unsigned char intr_no)
void | hal_start_dma (unsigned char channel, Dma_Info *dmaInfo)
int | hal_stop_dma (unsigned char channel)
int | hal_get_dma_info (unsigned char channel, Dma_Info *dmaInfo)
int | hal_init_restore_non_volatile_data (Remop *remop)
void | hal_save_non_volatile_data (void)
int | hal_get_reboot_reason (void)

## Function Documentation

int hal_get_dma_info | ( | unsigned char | channel,
|  | Dma_Info * | dmaInfo
| ) |

| Definition at line 549 of file HWAPI.C. References Dma_Info::count, Dma_Info::ctrl_reg, Dma_Info::dest, DMA_DESTMEM, DMA_SRCMEM, HAL_GET_DMA_INFO, HAL_INT, src, and Dma_Info::src.

unsigned long hal_get_frequencies | ( | unsigned char | frq | ) |

| Definition at line 445 of file HWAPI.C. References HAL_GET_FREQUENCIES, and HAL_INT. Referenced by LCD_SetBrightness().

void hal_get_pio_output_state | ( | unsigned * | pins,
|  | unsigned | wOut
| ) |

| Definition at line 193 of file HWAPI.C. References HAL_INT, and PFE_ENABLE_PIO.

int hal_get_reboot_reason | ( | void |  | ) |

| Definition at line 619 of file HWAPI.C. References HAL_GET_REBOOT_REASON, and HAL_INT.

void hal_give_eoi | ( | unsigned char | intr_no | ) |

| Definition at line 480 of file HWAPI.C. References HAL_GIVE_EOI, and HAL_INT.

int hal_init_restore_non_volatile_data | ( | Remop * | remop | ) |

| Definition at line 594 of file HWAPI.C. References HAL_INIT_REST_NON_VOLATILE_DATA, and HAL_INT.

void hal_init_timer | ( | unsigned char | timer,
|  | unsigned | mode,
|  | unsigned | divider
| ) |

| Definition at line 353 of file HWAPI.C. References HAL_INIT_TIMER, and HAL_INT. Referenced by LCD_SetBrightness().

InterruptHandler hal_install_isr | ( | unsigned | irq,
|  | unsigned | count,
|  | InterruptHandler | handler
| ) |

| Definition at line 331 of file HWAPI.C. References HAL_INSTALL_ISR, HAL_INT, and InterruptHandler.

unsigned char hal_read_bus | ( | unsigned | adr,
|  | unsigned | wAND,
|  | unsigned | wXOR
| ) |

| Definition at line 211 of file HWAPI.C. References HAL_INT, and HAL_READ_DATA_BUS.

unsigned char hal_read_pio | ( | unsigned char | pio | ) |

| Definition at line 304 of file HWAPI.C. References HAL_INT, and HAL_READ_SPECIFIC_PIO.

unsigned hal_read_pios | ( | unsigned | wAND,
|  | unsigned | wXOR
| ) |

| Definition at line 274 of file HWAPI.C. References HAL_INT, and HAL_READ_PIO.

unsigned hal_read_timer_count | ( | unsigned char | timer,
|  | unsigned far * | maxcount
| ) |

| Definition at line 388 of file HWAPI.C. References HAL_INT, and HAL_READ_TIMER_COUNT.

void hal_readblock_bus | ( | unsigned | adr0,
|  | unsigned | adr1,
|  | unsigned char * | buf,
|  | unsigned | cnt
| ) |

| Definition at line 244 of file HWAPI.C. References HAL_BLOCK_READ_DATA_BUS, and HAL_INT.

void hal_refresh_watchdog | ( | void |  | ) |

| Definition at line 434 of file HWAPI.C. References HAL_INT, and HAL_REFRESH_WATCHDOG.

void hal_save_non_volatile_data | ( | void |  | ) |

| Definition at line 609 of file HWAPI.C. References HAL_INT, and HAL_SAVE_NON_VOLATILE_DATA.

void hal_set_duty_cycle_waveform | ( | unsigned char | timer,
|  | int | mode,
|  | unsigned | clock_divider
| ) |

| Definition at line 464 of file HWAPI.C. References HAL_INT, and HAL_SET_DUTY_CYCLE_WAVEFORM. Referenced by LCD_SetBrightness().

unsigned char hal_set_watchdog_mode | ( | unsigned char | mode | ) |

| Definition at line 418 of file HWAPI.C. References HAL_GET_SET_WATCHDOG_MODE, and HAL_INT.

void hal_start_dma | ( | unsigned char | channel,
|  | Dma_Info * | dmaInfo
| ) |

| Definition at line 493 of file HWAPI.C. References Dma_Info::count, Dma_Info::ctrl_reg, Dma_Info::dest, DMA_DESTMEM, DMA_SRCMEM, HAL_INT, HAL_START_DMA, src, and Dma_Info::src.

void hal_start_timer | ( | unsigned char | timer | ) |

| Definition at line 366 of file HWAPI.C. References HAL_INT, and HAL_START_TIMER. Referenced by LCD_SetBrightness().

int hal_stop_dma | ( | unsigned char | channel | ) |

| Definition at line 534 of file HWAPI.C. References HAL_INT, and HAL_STOP_DMA.

void hal_stop_timer | ( | unsigned char | timer | ) |

| Definition at line 377 of file HWAPI.C. References HAL_INT, and HAL_STOP_TIMER. Referenced by LCD_Done().

void hal_write_bus | ( | unsigned | adr,
|  | unsigned char | value,
|  | unsigned | wAND,
|  | unsigned | wXOR
| ) |

| Definition at line 229 of file HWAPI.C. References HAL_INT, and HAL_WRITE_DATA_BUS.

void hal_write_pio | ( | unsigned char | pio,
|  | unsigned | value
| ) |

| Definition at line 320 of file HWAPI.C. References HAL_INT, and HAL_WRITE_SPECIFIC_PIO.

void hal_write_pios | ( | unsigned | value,
|  | unsigned | wAND,
|  | unsigned | wXOR
| ) |

| Definition at line 291 of file HWAPI.C. References HAL_INT, and HAL_WRITE_PIO.

void hal_write_timer_count | ( | unsigned char | timer,
|  | unsigned | counter
| ) |

| Definition at line 406 of file HWAPI.C. References HAL_INT, and HAL_WRITE_TIMER_COUNT.

void hal_writeblock_bus | ( | unsigned | adr0,
|  | unsigned | adr1,
|  | unsigned char * | buf,
|  | unsigned | cnt
| ) |

| Definition at line 259 of file HWAPI.C. References HAL_BLOCK_WRITE_DATA_BUS, and HAL_INT.

void pfe_enable_adr | ( | unsigned char | adr | ) |

| Definition at line 59 of file HWAPI.C. References PFE_ENABLE_NON_MULTI_ADDR_BUS, and PFE_INT.

void pfe_enable_bus | ( | unsigned | mask,
|  | unsigned char | ale
| ) |

| Definition at line 47 of file HWAPI.C. References PFE_ENABLE_DATA_BUS, and PFE_INT. Referenced by LCD_Init(), RC_Init(), and VS_Init().

int pfe_enable_external_dma | ( | unsigned char | channel | ) |

| Definition at line 132 of file HWAPI.C. References PFE_ENABLE_EXTERNAL_DMA, and PFE_INT.

void pfe_enable_int | ( | unsigned char | irq | ) |

| Definition at line 85 of file HWAPI.C. References PFE_ENABLE_EXTERNAL_IRQ, and PFE_INT.

void pfe_enable_int_cascade_mode | ( | void |  | ) |

| Definition at line 148 of file HWAPI.C. References PFE_ENABLE_INT_CASCADE_MODE, and PFE_INT.

void pfe_enable_pcs | ( | unsigned char | pcs | ) |

| Definition at line 72 of file HWAPI.C. References PFE_ENABLE_PCS, and PFE_INT. Referenced by LCD_Init(), RC_Init(), and VS_Init().

void pfe_enable_pio | ( | unsigned | pio,
|  | unsigned char | mode
| ) |

| Definition at line 160 of file HWAPI.C. References PFE_ENABLE_PIO, and PFE_INT. Referenced by AMD_TestPios(), LCD_Done(), and VS_Init().

void pfe_enable_pwd | ( | void |  | ) |

| Definition at line 122 of file HWAPI.C. References PFE_ENABLE_PWD, and PFE_INT.

void pfe_enable_timer | ( | unsigned | mode | ) |

| Definition at line 98 of file HWAPI.C. References PFE_ENABLE_EXTERNAL_TIMER, and PFE_INT. Referenced by LCD_Init().

void pfe_get_pio_state | ( | unsigned * | wPio,
|  | unsigned * | wInp,
|  | unsigned * | wOut
| ) |

| Definition at line 174 of file HWAPI.C. References PFE_ENABLE_PIO, and PFE_INT.

void pfe_set_edge_level_intr_mode | ( | unsigned char | mode,
|  | unsigned | mask
| ) |

| Definition at line 109 of file HWAPI.C. References PFE_INT, and PFE_SET_EDGE_LEVEL_INTR_MODE.